@echo off 			
set BIOS_BIN=1E652A70.4M
set MB_TYPE=EVGA E652

if "%windir%"=="" goto :EnvOk
goto :errMsg

:EnvOK
echo ===================================================
echo . BIOS flash tool for DOS
echo .
echo . Start to update the %MB_TYPE% BIOS (%BIOS_BIN%)
echo .
echo . Press 'Y' to program BIOS (Capital Letters)
echo . or 'N' to Cancel.
echo .
echo . !!!!!! DO NOT TURN OFF POWER OR RESET  !!!!!!
echo . !!!!!!    WHILE BIOS IS UPDATING       !!!!!!
echo ===================================================
afudos\CHOICE /N /S /C:YN
if errorlevel 2 goto :end
if errorlevel 1 goto :flash
goto :end

:flash
afudos\afudos %BIOS_BIN% /p /b /n /e /c /k /MEUF %2 %3 %4
goto end

:errMsg
echo ===================================================
echo . This program cannot be run in Windows mode.
echo ===================================================
pause

:end
